/* This file is a part of TSP Flaming
 *  Copyright (C) 2008-2010 Nikolay Kurtov <nkurtov@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *      ___            __                   __
 *     / __`\         /  _\                /\ \ 
 *    /\ \/\ \  _ __ /\ \_/    ___     __  \_\ \__
 *    \ \ \ \ \/\`'__\_\ \__  /'__`\ /`___\/\__  _\ 
 *     \ \ \_\ \ \ \//\__  _\/\  __//\____ \/_/\ \/_
 *      \ \____/\ \_\\/_/\ \/\ \____\/_____/  \ \___\ 
 *       \/___/  \/_/   \_\ \ \/____/_____/    \/__/
 *                      /\__/
 *                      \/_/
 */

/**
 * @file
 * @author  Nikolay Kurtov <nkurtov@gmail.com>
 *
 * @section DESCRIPTION
 *
 * @brief Map area.
 */

#ifndef MAP_AREA_H
#define MAP_AREA_H

#include <QWidget>
#include <QVector>

class QMutex;

#include "point.h"

/** Map area. */
class MapArea : public QWidget{
	Q_OBJECT
private:
	int* const* solutionPtr;
	QVector<Point> points;
	QVector<QPoint> dpoints;
	double maxX;
	double minX;
	double maxY;
	double minY;
	double oldWidth;
	double oldHeight;
	QMutex* mutex;
public:
	MapArea(QWidget*& widget);
	virtual ~MapArea(){}
	void setSolutionPtr(int* const* aSolutionPtr);
	void setPoints(const QVector<Point>& aPoints);
	void setMutex(QMutex* aMutex);
	
protected:
	virtual void paintEvent(QPaintEvent* );
};

#endif
