/* This file is a part of TSP Flaming
 *  Copyright (C) 2008-2010 Nikolay Kurtov <nkurtov@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.

 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>. 
 */

/* Author: Nikolay Kurtov <nkurtov@gmail.com>
 *      ___            __                   __
 *     / __`\         /  _\                /\ \ 
 *    /\ \/\ \  _ __ /\ \_/    ___     __  \_\ \__
 *    \ \ \ \ \/\`'__\_\ \__  /'__`\ /`___\/\__  _\ 
 *     \ \ \_\ \ \ \//\__  _\/\  __//\____ \/_/\ \/_
 *      \ \____/\ \_\\/_/\ \/\ \____\/_____/  \ \___\ 
 *       \/___/  \/_/   \_\ \ \/____/_____/    \/__/
 *                      /\__/
 *                      \/_/
 */        

#include "point.h"
#include <math.h>

Point& Point::operator+=(const Point& point){
	x += point.getX();
	y += point.getY();
	return *this;
}

Point& Point::operator*=(double k){
	x *= k;
	y *= k;
	return *this;
}

double Point::length() const {
	return sqrt(x*x + y*y);
}

Point operator+(const Point& first, const Point& second){
	Point tmp(first.getX() + second.getX(), first.getY() + second.getY());
	return tmp;
}

Point operator-(const Point& first, const Point& second){
	Point tmp(first.getX() - second.getX(), first.getY() - second.getY());
	return tmp;
}

double dist(const Point& first, const Point& second){
	double dx = first.getX() - second.getX();
	double dy = first.getY() - second.getY();
	return sqrt(dx*dx + dy*dy);
}
