/* This file is a part of TSP Flaming
 *  Copyright (C) 2008-2010 Nikolay Kurtov <nkurtov@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *      ___            __                   __
 *     / __`\         /  _\                /\ \ 
 *    /\ \/\ \  _ __ /\ \_/    ___     __  \_\ \__
 *    \ \ \ \ \/\`'__\_\ \__  /'__`\ /`___\/\__  _\ 
 *     \ \ \_\ \ \ \//\__  _\/\  __//\____ \/_/\ \/_
 *      \ \____/\ \_\\/_/\ \/\ \____\/_____/  \ \___\ 
 *       \/___/  \/_/   \_\ \ \/____/_____/    \/__/
 *                      /\__/
 *                      \/_/
 */

/**
 * @file
 * @author  Nikolay Kurtov <nkurtov@gmail.com>
 *
 * @brief Two-dimensional euclidean point.
 */

#ifndef POINT_H
#define POINT_H

/** Two-dimensional euclidean point. */
class Point{
private:
	double x;
	double y;
public:
	Point(){}
	Point(double aX, double aY) : x(aX), y(aY) {}
	~Point(){}
	Point& operator+=(const Point& point);
	Point& operator*=(double k);
	double length() const;
	inline double getX() const{
		return x;
	}
	inline double getY() const{
		return y;
	}
};

Point operator+(const Point& first, const Point& second);
Point operator-(const Point& first, const Point& second);
double dist(const Point& first, const Point& second);

#endif
