# TSP Flaming project file
# Copyright (C) 2008-2009 Nikolay Kurtov <nkurtov@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>. 

TEMPLATE = app
TARGET = tspflaming
VERSION = 1.2
CONFIG += gui svg
DESTDIR = build
INCLUDEPATH += .

TEMPDIR = tmp
OBJECTS_DIR = $$TEMPDIR
MOC_DIR = $$TEMPDIR
UI_DIR = $$TEMPDIR
RCC_DIR = $$TEMPDIR

#Input

FORMS += src/superMainWindow.ui

HEADERS += src/calculator.h \
           src/mainWindow.h \
           src/mapArea.h    \
           src/paintArea.h  \
           src/point.h      \
           src/task.h       \
           src/osdef.h

SOURCES += src/calculator.cpp \
           src/main.cpp       \
           src/mainWindow.cpp \
           src/mapArea.cpp    \
           src/paintArea.cpp  \
           src/point.cpp      \
           src/task.cpp

RESOURCES += resources/buttons.qrc

TRANSLATIONS += translations/tspflaming_ru.ts \
                translations/tspflaming_en.ts \
                translations/tspflaming_ko.ts

win32:RC_FILE = resources/tspflaming.rc

#Installation

linux* {
  target.path = /usr/bin
  translations.files = translations/*.qm
  translations.path = /usr/share/tspflaming/translations
  examples.files = examples
  examples.path = /usr/share/tspflaming
  desktop.files = resources/tspflaming.desktop
  desktop.path = /usr/share/applications
  manual.files = man/*.1
  manual.path = /usr/share/man/man1
  icon.files = resources/tspflaming.xpm
  icon.path = /usr/share/pixmaps
  mime.files = resources/tspflaming-mime.xml
  mime.path = /usr/share/mime/packages
  INSTALLS += target examples desktop manual icon translations mime
} else {
  #simple installation in $$DESTDIR
  translations.files = translations/*.qm
  translations.path = $$DESTDIR/Translations
  examples.files = examples/*
  examples.path = $$DESTDIR/Examples
  INSTALLS += translations examples
}

